import { CheckAndSignAuthParams, JsonAuthSig } from "@litprotocol-dev/constants";
/**
 *
 * Check for an existing cryptographic authentication signature and create one of it does not exist.  This is used to prove ownership of a given crypto wallet address to the Lit nodes.  The result is stored in LocalStorage so the user doesn't have to sign every time they perform an operation.
 *
 * @param { CheckAndSignAuthParams }
 *
 *  @returns { AuthSig } The AuthSig created or retrieved
 */
export declare const checkAndSignAuthMessage: ({ chain, resources, switchChain, }: CheckAndSignAuthParams) => Promise<JsonAuthSig>;
