import { IProvider, JsonAuthSig } from '@litprotocol-dev/constants';
/**
 *
 * Get Solana provider
 *
 * @returns { Promise<IProvider | undefined }
 */
export declare const connectSolProvider: () => Promise<IProvider | undefined>;
/**
 *
 * Check and sign solana auth message
 *
 * @returns { JsonAuthSig }
 */
export declare const checkAndSignSolAuthMessage: () => Promise<JsonAuthSig>;
/**
 *
 * Sign and save auth signature locally (not saved to the nodes)
 *
 * @property { any } provider
 * @return { Promise<JsonAuthSig | undefined> }
 *
 */
export declare const signAndSaveAuthMessage: ({ provider, }: {
    provider: any;
}) => Promise<JsonAuthSig | undefined>;
