import { SessionSigsProp } from '@litprotocol-dev/constants';
/** ========== Exports ========== */
/**
 *
 * High level, how this works:
 * 1. Generate or retrieve session key
 * 2. Generate or retrieve the wallet signature of the session key
 * 3. Sign the specific resources with the session key
 *
 * @param { SessionSigsProp } params
 *
 * @returns
 */
export declare function getSessionSigs(params: SessionSigsProp): Promise<any>;
/**
 *
 * Get Session Key URI eg. lit:session:
 *
 * @returns { string }
 *
 */
export declare const getSessionKeyUri: ({ publicKey, }: {
    publicKey: string;
}) => string;
/**
 *
 * Parse resource
 *
 * @property { any } resource
 *
 * @returns { { protocol: string, resourceId: string } }
 *
 */
export declare const parseResource: ({ resource, }: {
    resource: any;
}) => {
    protocol: any;
    resourceId: any;
};
